# CurlHttpResponse Class Reference
[HTTP related utilities]

Inheritance diagram for CurlHttpResponse:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| writeHeader ($resource, $line)
| internal use only, callback for curl client
| writeBody ($resource, $body)
| internal use only, callback for curl client
| setMaxFileSize ($maxFileSize)
| internal use only for curl client
| setStatus (HttpStatus $status)
| getStatus ()
| getReasonPhrase ()
| getHeaders ()
| hasHeader ($name)
| getHeader ($name)
| getBody ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $headerParser = null
| $body = null
| $status = null
| $maxFileSize = null
| $currentFileSize = null

## Detailed Description

Definition at line 15 of file CurlHttpResponse.class.php.

## Constructor & Destructor Documentation

CurlHttpResponse::__construct | ( |  | ) |

Definition at line 23 of file CurlHttpResponse.class.php.

References create().

Here is the call graph for this function:

## Member Function Documentation

static CurlHttpResponse::create | ( |  | ) | `[static]`

Returns:
  CurlHttpResponse

Definition at line 32 of file CurlHttpResponse.class.php.

Referenced by __construct().

CurlHttpResponse::getBody | ( |  | ) |

Implements HttpResponse.

Definition at line 124 of file CurlHttpResponse.class.php.

CurlHttpResponse::getHeader | ( | $ | name | ) |

Implements HttpResponse.

Definition at line 119 of file CurlHttpResponse.class.php.

CurlHttpResponse::getHeaders | ( |  | ) |

Returns:
  array

Implements HttpResponse.

Definition at line 109 of file CurlHttpResponse.class.php.

CurlHttpResponse::getReasonPhrase | ( |  | ) |

Implements HttpResponse.

Definition at line 101 of file CurlHttpResponse.class.php.

CurlHttpResponse::getStatus | ( |  | ) |

Returns:
  HttpStatus

Implements HttpResponse.

Definition at line 96 of file CurlHttpResponse.class.php.

CurlHttpResponse::hasHeader | ( | $ | name | ) |

Implements HttpResponse.

Definition at line 114 of file CurlHttpResponse.class.php.

CurlHttpResponse::setMaxFileSize | ( | $ | maxFileSize | ) |

internal use only for curl client

Returns:
  CurlHttpResponse

Definition at line 78 of file CurlHttpResponse.class.php.

References $maxFileSize.

CurlHttpResponse::setStatus | ( | HttpStatus $ | status | ) |

Returns:
  CurlHttpResponse

Definition at line 87 of file CurlHttpResponse.class.php.

Referenced by CurlHttpClient::makeResponse().

CurlHttpResponse::writeBody | ( | $ | resource,
|  | $ | body |
| ) |  |  |

internal use only, callback for curl client

Definition at line 58 of file CurlHttpResponse.class.php.

References $body.

CurlHttpResponse::writeHeader | ( | $ | resource,
|  | $ | line |
| ) |  |  |

internal use only, callback for curl client

Definition at line 40 of file CurlHttpResponse.class.php.

## Member Data Documentation

CurlHttpResponse::$body = null`[private]`

Definition at line 18 of file CurlHttpResponse.class.php.

Referenced by writeBody().

CurlHttpResponse::$currentFileSize = null`[private]`

Definition at line 21 of file CurlHttpResponse.class.php.

CurlHttpResponse::$headerParser = null`[private]`

Definition at line 17 of file CurlHttpResponse.class.php.

CurlHttpResponse::$maxFileSize = null`[private]`

Definition at line 20 of file CurlHttpResponse.class.php.

Referenced by setMaxFileSize().

CurlHttpResponse::$status = null`[private]`

Definition at line 19 of file CurlHttpResponse.class.php.

The documentation for this class was generated from the following file:

- main/Net/Http/CurlHttpResponse.class.php